Status: Closed

Priority: Normal

Assignee:

Category: PyQGIS Console

Affected QGIS version:3.0.3 Regression?: No

Operating System: Win64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 26954

Description

The following lines generate an error "SyntaxError: invalid character in identifier" 

ϕ = radians(latitude)

λ = radians(longitude)

Even with the script having these first two lines

#!/usr/bin/env python

    1.  coding: utf-8 

History

#1 - 2018-06-08 05:03 PM - Matthias Kuhn

- Status changed from Open to Feedback

Please provide a full minimal working example.

#2 - 2018-06-12 05:38 PM - Yannick Portier

- File GeodeticToGeocentric.py added

Here is a code sample

#3 - 2018-11-11 04:03 AM - Jürgen Fischer

- Resolution set to worksforme

- Status changed from Feedback to Closed

Pasting this into the python console works fine for me - both on Windows and Linux.  On the command line you have to make sure that you're actually using

python3 ad python2 doesn't support non-ascii identifiers (ie. on OSGeo4W by running call py3_env.bat.  On Linux you might need #!/usr/bin/env python3 is

python 2 is otherwise used).

Files

GeodeticToGeocentric.py 1.05 KB 2018-06-12 Yannick Portier
